Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666568 - sci-libs/vtk-8.1.0-r2 needs a patch for Python_3.7
Summary: sci-libs/vtk-8.1.0-r2 needs a patch for Python_3.7
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2018-09-19 16:52 UTC by Helmut Jarausch
Modified: 2018-09-19 18:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for Python 3.7 (vtk-8.1.0-Py37.patch,424 bytes, patch)
2018-09-19 16:52 UTC, Helmut Jarausch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Jarausch 2018-09-19 16:52:38 UTC
Created attachment 547340 [details, diff]
patch for Python 3.7

Python_3.7 has changed its API,
function PyUnicode_AsUTF8 returns a
const char* pointer
while Python_3.6 returned a
char*
pointer.

The attached patch is an ugly work-around (const_cast).
The real fix should be provided by upstreams.